Bug 8641 - Add information warning about log-in as root user to About->System information
Summary: Add information warning about log-in as root user to About->System information
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Marc Véron
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-14 18:24 UTC by Marc Véron
Modified: 2013-05-23 06:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot with warnings regarding current user on About page (34.02 KB, image/jpeg)
2012-08-14 18:24 UTC, Marc Véron
Details
Bug 8641 - Add information warning about log-in as root user to About->System information (2.22 KB, patch)
2012-08-14 18:48 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8641 - Add information warning about log-in as root user to About->System information (2.28 KB, patch)
2012-08-14 19:04 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8641 [Follow-up] Add warning about log-in as root user to About page (1.60 KB, patch)
2012-11-26 17:59 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed off] Bug 8641 [Follow-up] Add warning about log-in as root user to About page (1.63 KB, patch)
2012-11-27 00:07 UTC, Melia Meggs
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8641 [Follow-up] Add warning about log-in as root user to About page (1.72 KB, patch)
2012-11-28 06:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8641 [Follow up]-Reword warning about log-in as root user to About-System information (1.78 KB, patch)
2012-11-28 17:15 UTC, Melia Meggs
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8641 [Follow up]-Reword warning about log-in as root user to About-System information (1.92 KB, patch)
2012-11-28 23:28 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8641 [Follow-up] Add warning about log-in as root user to About page (1.72 KB, patch)
2012-12-02 19:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8641 [Follow up]-Reword warning about log-in as root user to About-System information (2.12 KB, patch)
2012-12-02 19:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2012-08-14 18:24:02 UTC
Created attachment 11618 [details]
Screenshot with warnings regarding current user on About page

If you are logged in as database administrative user,a lot of things do not wok.

It seems that this is a pitfall a lot of newbies fall in (me included, as far as I remeber).

See e.g. 
http://stats.workbuffer.org/irclog/koha/2012-08-06   (20:26)
---
Hello, I'm helping my Library get Koha setup as their new ILS. I've got it up and running, but it doesn't seem to be remembering anything. (Library is always not set, etc.) Any help would be appreciated. ;)
---

To prevent frustration and support questions, I propose to add some information to About->System Information (see screenshot).

Patch follows.
Comment 1 Marc Véron 2012-08-14 18:48:33 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-08-14 19:04:30 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-09-13 08:51:12 UTC
Interesting information to display.
Marked as Passed QA.
Comment 4 Paul Poulain 2012-09-13 16:58:07 UTC
Patch pushed to master.

I would not object having this warning more prominent, like:
 * appearing on mainpage.pl
 * appearing in red on about.pl & on the 1st tab displayed

As it is now, I feel it won't be seen by a lot of ppl
Comment 5 Owen Leonard 2012-11-26 17:59:41 UTC Comment hidden (obsolete)
Comment 6 Melia Meggs 2012-11-27 00:06:41 UTC
Before applying patch, on the About Koha > System Information page, I see:
Warning regarding current user
It seems that you are logged in as database administrative user. A lot of things will not work with this account.
Usually you need to log in with a regular staff account. To create a staff account, create a branch, a patron category 'Staff' and add a new patron. Then give this patron permissions from 'More' in the toolbar.

After applying patch, I see:
Warning regarding current user
It seems that you are logged in as database administrative user. A lot of things will not work with this account.
Usually you need to log in with a regular staff account. To create a staff account, create a library, a patron category 'Staff' and add a new patron. Then give this patron permissions from 'More' in the toolbar.


"Create a branch" has been successfully changed to "create a library," so I am signing off.
Comment 7 Melia Meggs 2012-11-27 00:07:01 UTC Comment hidden (obsolete)
Comment 8 Melia Meggs 2012-11-27 00:24:41 UTC
Also, this is just a matter of personal preference, but I think the wording of this message sounds somehow not quite right. I don't know what it is... maybe it just doesn't sound very confident, perhaps?  I might rewrite it to be more authoritative, like this:

"You are logged in as the database administrative user.  This is not recommended because some parts of Koha will not function as expected when using this account.  

Please log in instead with a regular staff account.  To create a staff account, create a library, a patron category 'Staff' and add a new patron. Then give this patron permissions from 'More' in the toolbar."

That has the same meaning but a different tone.  Not sure if it's worth the effort of someone writing another patch to change the wording when it carries basically the same meaning, but I thought I'd put the suggestion out there. :)
Comment 9 Marc Véron 2012-11-27 08:54:37 UTC
Melia,

Thank you for your comment. You are very welcome to change the wording as I am not a native speaker.  :-)

Marc
Comment 10 Katrin Fischer 2012-11-28 06:45:12 UTC Comment hidden (obsolete)
Comment 11 Melia Meggs 2012-11-28 17:15:52 UTC Comment hidden (obsolete)
Comment 12 Melia Meggs 2012-11-28 17:18:42 UTC
I was a bit too slow, but here is a patch that just rewords this message.  I didn't realize until I attached it that the last patch had already Passed QA, so now we've got one patch attached here that has Passed QA, and another follow up patch that needs signoff.  Not sure what to do about the status?
Comment 13 Katrin Fischer 2012-11-28 22:26:08 UTC
I think this should be easy to sign-off - so resetting status and both patches can hopefully be pushed together soon.
Comment 14 Marc Véron 2012-11-28 23:28:08 UTC Comment hidden (obsolete)
Comment 15 Melia Meggs 2012-11-30 21:44:38 UTC
Looks like everything is signed off now, so I'm just changing the status back to "signed off."
Comment 16 Katrin Fischer 2012-12-02 19:26:37 UTC
Created attachment 13825 [details] [review]
[SIGNED-OFF] Bug 8641 [Follow-up] Add warning about log-in as root user to About page

Correction for incorrect term: Koha uses the word "library"
instead of "branch."

Signed-off-by: Melia Meggs <melia@test.bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests pass and wording changed.
Comment 17 Katrin Fischer 2012-12-02 19:26:53 UTC
Created attachment 13826 [details] [review]
[SIGNED-OFF] Bug 8641 [Follow up]-Reword warning about log-in as root user to About-System information

The wording of this message sounds strange to a native speaker. Reword it.

Signed-off-by: Marc Veron <veron@veron.ch>

New wording appears as expected on about page.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests pass, new wording shows up.

To test:
1) Login with your normal user - no warning is shown on about page
2) Login with the root/database user - warning is shown on about page
Comment 18 Jared Camins-Esakov 2012-12-02 21:38:02 UTC
This patch has been pushed to master.
Comment 19 Chris Cormack 2012-12-03 07:04:30 UTC
Pushed to 3.10.x will be in 3.10.1